## chromium 116.0.5845.96~linuxmint1+elsie

=== debian/changelog ===
chromium (116.0.5845.96~linuxmint1+elsie) unstable; urgency=medium

  * 116.0.5845.96

 -- Linux Mint <root@linuxmint.com>  Tue, 15 Aug 2023 17:29:06 +0100

chromium (115.0.5790.170~linuxmint1) unstable; urgency=medium

  * 115.0.5790.170

 -- Linux Mint <root@linuxmint.com>  Wed, 02 Aug 2023 18:45:07 +0100
