## chromium 116.0.5845.96~linuxmint1+victoria

=== debian/changelog ===
chromium (116.0.5845.96~linuxmint1+victoria) unstable; urgency=medium

  * 116.0.5845.96

 -- Linux Mint <root@linuxmint.com>  Tue, 15 Aug 2023 17:29:06 +0100
