## chromium 116.0.5845.96

=== debian/changelog ===
chromium (116.0.5845.96-1~deb11u1) bullseye-security; urgency=high

  * New upstream stable release.
    - CVE-2023-2312: Use after free in Offline. Reported by avaue at S.S.L.
    - CVE-2023-4349: Use after free in Device Trust Connectors.
      Reported by Weipeng Jiang (@Krace) of VRI.
    - CVE-2023-4350: Inappropriate implementation in Fullscreen.
      Reported by Khiem Tran (@duckhiem).
    - CVE-2023-4351: Use after free in Network.
      Reported by Guang and Weipeng Jiang of VRI.
    - CVE-2023-4352: Type Confusion in V8.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2023-4353: Heap buffer overflow in ANGLE.
      Reported by Christoph Diehl / Microsoft Vulnerability Research.
    - CVE-2023-4354: Heap buffer overflow in Skia.
      Reported by Mark Brand of Google Project Zero.
    - CVE-2023-4355: Out of bounds memory access in V8.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2023-4356: Use after free in Audio.
      Reported by Zhenghang Xiao (@Kipreyyy).
    - CVE-2023-4357: Insufficient validation of untrusted input in XML.
      Reported by Igor Sak-Sakovskii.
    - CVE-2023-4358: Use after free in DNS.
      Reported by Weipeng Jiang (@Krace) of VRI.
    - CVE-2023-4359: Inappropriate implementation in App Launcher.
      Reported by @retsew0x01.
    - CVE-2023-4360: Inappropriate implementation in Color.
      Reported by Axel Chong.
    - CVE-2023-4361: Inappropriate implementation in Autofill.
      Reported by Thomas Orlita.
    - CVE-2023-4362: Heap buffer overflow in Mojom IDL.
      Reported by Zhao Hai of NanJing Cyberpeace TianYu Lab.
    - CVE-2023-4363: Inappropriate implementation in WebShare.
      Reported by Alesandro Ortiz.
    - CVE-2023-4364: Inappropriate implementation in Permission Prompts.
      Reported by Jasper Rebane.
    - CVE-2023-4365: Inappropriate implementation in Fullscreen.
      Reported by Hafiizh.
    - CVE-2023-4366: Use after free in Extensions. Reported by asnine.
    - CVE-2023-4367: Insufficient policy enforcement in Extensions API.
      Reported by Axel Chong.
    - CVE-2023-4368: Insufficient policy enforcement in Extensions API.
      Reported by Axel Chong.
  * d/patches:
   - fixes/cmath.patch: drop, merged upstream.
   - fixes/vector.patch: drop, merged upstream.
   - fixes/cookieresult.patch: drop, merged upstream.
   - upstream/feature-list-static.patch: drop, merged upstream.
   - disable/catapult.patch: refresh.
   - upstream/statelessV4L2.patch: refresh.
   - ppc64le/third_party/0001-Add-PPC64-support-for-boringssl.patch: refresh.
   - ppc64le/libaom/0001-Add-ppc64-target-to-libaom.patch: refresh.
   - ppc64le/breakpad/0001-Implement-support-for-ppc64-on-Linux.patch: refresh.
   - ppc64le/third_party/use-sysconf-page-size-on-ppc64.patch: refresh.
   - fixes/rust-clanglib.patch: add patch to handle new clang deps for rust.
   - debianization/clang-version.patch: move from bullseye/lld-13.patch.
   - bookworm/typename.patch: more typename fixes needed.
   - fixes/variant.patch: add a missing header that libstdc++ needs.
   - fixes/vector.patch: add a missing header that libstdc++ needs.
   - fixes/null.patch: fix missing namespace for nullptr_t + header fix.
   - fixes/size.patch: missing header fix.
   - bookworm/brotli.patch: revert upstream change that requires newer brotli.
   - bookworm/struct-ctor.patch: add a bunch of explicit struct constructors
     to make clang-15 happy.
   - fixes/size.patch
   - bullseye/stringpiece.patch: drop, since we're bundling re2 now.
   - bullseye/downgrade-typescript.patch: newer tsc 5.1 doesn't work with
     bullseye's ancient nodejs, so we have to downgrade back to 5.0.
   - bullseye/constexpr.patch: add another build fix.
   - bullseye/default-equality-op.patch: add another build fix.
  * d/rules: automatically detect rust/clang versions & add needed rust args.
    But also continue disabling rust for now.
  * d/rules: drop use_gnome_keyring=false, upstream has completely removed
    libgnome-keyring support in favor of gnome's libsecret.
  * Use bundled re2 (for now) instead of libre2-dev due to random crashes
    we're seeing. Adjust build-deps, Files-Excluded, d/clean,
    and d/scripts/unbundle accordingly.

  [ Timothy Pearson ]
   * d/patches/ppc64le:
     - database/0001-Properly-detect-little-endian-PPC64-systems.patch: refresh
       for upstream changes
     - third_party/0002-third_party-libvpx-Remove-bad-ppc64-config.patch:
       refresh for upstream changes
     - third_party/0002-third-party-boringssl-add-generated-files.patch:
       refresh, no changes
     - third_party/use-sysconf-page-size-on-ppc64.patch: refresh for upstream
       changes
     - third_party/skia-vsx-instructions.patch: refresh for upstream changes

 -- Andres Salomon <dilinger@debian.org>  Tue, 15 Aug 2023 17:46:56 -0400

chromium (115.0.5790.170-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-4068: Type Confusion in V8. Reported by Jerry.
    - CVE-2023-4069: Type Confusion in V8.
      Reported by Man Yue Mo of GitHub Security Lab.
    - CVE-2023-4070: Type Confusion in V8. Reported by Jerry.
    - CVE-2023-4071: Heap buffer overflow in Visuals.
      Reported by Guang and Weipeng Jiang of VRI.
    - CVE-2023-4072: Out of bounds read and write in WebGL.
      Reported by Apple Security Engineering and Architecture (SEAR).
    - CVE-2023-4073: Out of bounds memory access in ANGLE.
      Reported by Jaehun Jeong(@n3sk) of Theori.
    - CVE-2023-4074: Use after free in Blink Task Scheduling.
      Reported by Anonymous.
    - CVE-2023-4075: Use after free in Cast.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-4076: Use after free in WebRTC.
      Reported by Natalie Silvanovich of Google Project Zero.
    - CVE-2023-4077: Insufficient data validation in Extensions.
      Reported by Anonymous.
    - CVE-2023-4078: Inappropriate implementation in Extensions.
      Reported by Anonymous.

