=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 # compile with clang (gcc is currently not supported)
 export AR=ar
 export NM=nm
-export CC=clang
-export CXX=clang++
+export CC=clang-13
+export CXX=clang++-13
 
 # initial flags from dpkg-buildflags
 export DEB_CXXFLAGS_MAINT_STRIP=-g
@@ -41,9 +41,12 @@
 defines=clang_use_chrome_plugins=false
 
 # use system rust
+export CLANG_VERS="$(shell $(CC) --version| sed -n 's/Debian clang version //p')"
 defines+=rust_sysroot_absolute=\"/usr\"
-defines+=rustc_version=\"rustc 1.66.0\"
-defines+=use_chromium_rust_toolchain=false
+defines+=rustc_version=\"$(shell rustc --version)\"
+defines+=enable_rust=false
+defines+=clang_base_path=\"/usr/lib/llvm-$(shell echo $(CLANG_VERS) | cut -d. -f1)\"
+defines+=clang_version=\"$(CLANG_VERS)\"
 
 # build using system toolchain
 defines+=host_toolchain=\"//build/toolchain/linux/unbundle:default\"
@@ -53,15 +56,17 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq (i386,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"x86\" use_vaapi=true
+# temporarily disabled due to FTBFS with v112
+defines+=use_v8_context_snapshot=false
 endif
 ifeq (amd64,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"x64\" use_vaapi=true
 endif
 ifeq (arm64,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"arm64\" use_v4l2_codec=true use_vaapi=false
+defines+=host_cpu=\"arm64\" use_vaapi=true
 endif
 ifeq (armhf,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"arm\" use_v4l2_codec=true use_vaapi=false arm_use_neon=false
+defines+=host_cpu=\"arm\" use_vaapi=false arm_use_neon=false
 endif
 
 # disabled features
@@ -70,7 +75,6 @@
          use_sysroot=false \
          use_libjpeg_turbo=true \
          use_custom_libcxx=false \
-         use_gnome_keyring=false \
          use_unofficial_version_number=false \
          enable_vr=false \
          enable_nacl=false \
