## chromium 116.0.5845.110

=== debian/changelog ===
chromium (116.0.5845.110-1~deb12u1) bookworm-security; urgency=high

  [ Timothy Pearson ]
  * New upstream security release.
    - CVE-2023-4430: Use after free in Vulkan.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-4429: Use after free in Loader. Reported by Anonymous.
    - CVE-2023-4428: Out of bounds memory access in CSS.
      Reported by Francisco Alonso (@revskills).
    - CVE-2023-4427: Out of bounds memory access in V8.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2023-4431: Out of bounds memory access in Fonts.
      Reported by Microsoft Security Researcher.

  [ Andres Salomon ]
  * d/patches/upstream hvec.patch: add arm* v4l2 build fix.
  * d/rules: FTBFS if we're uploading to -security distribution w/out CVEs.

 -- Timothy Pearson <tpearson@raptorengineering.com>  Wed, 23 Aug 2023 08:58:00 -0500

chromium (116.0.5845.96-2) unstable; urgency=high

  * d/patches/upstream/limits.patch: Add a build fix for arm64.

 -- Andres Salomon <dilinger@debian.org>  Wed, 16 Aug 2023 04:48:02 -0400

chromium (116.0.5845.96-1~deb12u1) bookworm-security; urgency=high

  * New upstream stable release.
    - CVE-2023-2312: Use after free in Offline. Reported by avaue at S.S.L..
    - CVE-2023-4349: Use after free in Device Trust Connectors.
      Reported by Weipeng Jiang (@Krace) of VRI.
    - CVE-2023-4350: Inappropriate implementation in Fullscreen.
      Reported by Khiem Tran (@duckhiem).
    - CVE-2023-4351: Use after free in Network.
      Reported by Guang and Weipeng Jiang of VRI.
    - CVE-2023-4352: Type Confusion in V8.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2023-4353: Heap buffer overflow in ANGLE.
      Reported by Christoph Diehl / Microsoft Vulnerability Research.
    - CVE-2023-4354: Heap buffer overflow in Skia.
      Reported by Mark Brand of Google Project Zero.
    - CVE-2023-4355: Out of bounds memory access in V8.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2023-4356: Use after free in Audio.
      Reported by Zhenghang Xiao (@Kipreyyy).
    - CVE-2023-4357: Insufficient validation of untrusted input in XML.
      Reported by Igor Sak-Sakovskii.
    - CVE-2023-4358: Use after free in DNS.
      Reported by Weipeng Jiang (@Krace) of VRI.
    - CVE-2023-4359: Inappropriate implementation in App Launcher.
      Reported by @retsew0x01.
    - CVE-2023-4360: Inappropriate implementation in Color.
      Reported by Axel Chong.
    - CVE-2023-4361: Inappropriate implementation in Autofill.
      Reported by Thomas Orlita.
    - CVE-2023-4362: Heap buffer overflow in Mojom IDL.
      Reported by Zhao Hai of NanJing Cyberpeace TianYu Lab.
    - CVE-2023-4363: Inappropriate implementation in WebShare.
      Reported by Alesandro Ortiz.
    - CVE-2023-4364: Inappropriate implementation in Permission Prompts.
      Reported by Jasper Rebane.
    - CVE-2023-4365: Inappropriate implementation in Fullscreen.
      Reported by Hafiizh.
    - CVE-2023-4366: Use after free in Extensions. Reported by asnine.
    - CVE-2023-4367: Insufficient policy enforcement in Extensions API.
      Reported by Axel Chong.
    - CVE-2023-4368: Insufficient policy enforcement in Extensions API.
      Reported by Axel Chong.
  * d/patches:
   - fixes/cmath.patch: drop, merged upstream.
   - fixes/vector.patch: drop, merged upstream.
   - fixes/cookieresult.patch: drop, merged upstream.
   - upstream/feature-list-static.patch: drop, merged upstream.
   - disable/catapult.patch: refresh.
   - upstream/statelessV4L2.patch: refresh.
   - ppc64le/third_party/0001-Add-PPC64-support-for-boringssl.patch: refresh.
   - ppc64le/libaom/0001-Add-ppc64-target-to-libaom.patch: refresh.
   - ppc64le/breakpad/0001-Implement-support-for-ppc64-on-Linux.patch: refresh.
   - ppc64le/third_party/use-sysconf-page-size-on-ppc64.patch: refresh.
   - fixes/rust-clanglib.patch: add patch to handle new clang deps for rust.
   - debianization/clang-15.patch: add patch to use lld-15.
   - bookworm/typename.patch: more typename fixes needed.
   - fixes/variant.patch: add a missing header that libstdc++ needs.
   - fixes/vector.patch: add a missing header that libstdc++ needs.
   - fixes/null.patch: fix missing namespace for nullptr_t + header fix.
   - fixes/size.patch: missing header fix.
   - bookworm/brotli.patch: revert upstream change that requires newer brotli.
   - bookworm/struct-ctor.patch: add a bunch of explicit struct constructors
     to make clang-15 happy.
   - fixes/size.patch
   - bullseye/stringpiece.patch: drop, since we're bundling re2 now.
  * d/rules: automatically detect rust/clang versions & add needed rust args.
    But also disable rust for now.
  * d/rules: drop use_gnome_keyring=false, upstream has completely removed
    libgnome-keyring support in favor of gnome's libsecret.
  * Use bundled re2 (for now) instead of libre2-dev due to random crashes
    we're seeing. Adjust build-deps, Files-Excluded, d/clean,
    and d/scripts/unbundle accordingly.

  [ Timothy Pearson ]
   * d/patches/ppc64le:
     - database/0001-Properly-detect-little-endian-PPC64-systems.patch: refresh
       for upstream changes
     - third_party/0002-third_party-libvpx-Remove-bad-ppc64-config.patch:
       refresh for upstream changes
     - third_party/0002-third-party-boringssl-add-generated-files.patch:
       refresh, no changes
     - third_party/use-sysconf-page-size-on-ppc64.patch: refresh for upstream
       changes
     - third_party/skia-vsx-instructions.patch: refresh for upstream changes

 -- Andres Salomon <dilinger@debian.org>  Tue, 15 Aug 2023 17:46:56 -0400
