=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 # compile with clang (gcc is currently not supported)
 export AR=ar
 export NM=nm
-export CC=clang-13
-export CXX=clang++-13
+export CC=clang-14
+export CXX=clang++-14
 
 # initial flags from dpkg-buildflags
 export DEB_CXXFLAGS_MAINT_STRIP=-g
@@ -56,17 +56,15 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq (i386,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"x86\" use_vaapi=true
-# temporarily disabled due to FTBFS with v112
-defines+=use_v8_context_snapshot=false
 endif
 ifeq (amd64,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"x64\" use_vaapi=true
 endif
 ifeq (arm64,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"arm64\" use_vaapi=true
+defines+=host_cpu=\"arm64\" use_v4l2_codec=true use_vaapi=false
 endif
 ifeq (armhf,$(DEB_HOST_ARCH))
-defines+=host_cpu=\"arm\" use_vaapi=false arm_use_neon=false
+defines+=host_cpu=\"arm\" use_v4l2_codec=true use_vaapi=false arm_use_neon=false
 endif
 
 # disabled features
@@ -119,10 +117,19 @@
 njobs=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
+DIST := $(shell dpkg-parsechangelog -l debian/changelog  | sed -n 's/^Distribution: //p')
+
 %:
 	dh $@
 
 override_dh_auto_configure:
+	# verify that we're not accidentally uploading to stable-security without CVEs
+	@echo "$(DIST)" | grep -q -- '-security' && { \
+		dpkg-parsechangelog -l debian/changelog | grep -q 'CVE-' || { \
+			echo "ERROR: security upload with no CVEs listed. You should fix that."; \
+			exit 1; \
+		} \
+	} || true
 	# use system node w/out patching source; upstream hardcodes x64 in path
 	mkdir -p third_party/node/linux/node-linux-x64/bin
 	cp /usr/bin/node third_party/node/linux/node-linux-x64/bin
