## chromium 116.0.5845.179~linuxmint1+elsie

=== debian/changelog ===
chromium (116.0.5845.179~linuxmint1+elsie) unstable; urgency=medium

  * 116.0.5845.179

 -- Linux Mint <root@linuxmint.com>  Wed, 06 Sep 2023 15:38:07 +0100

chromium (116.0.5845.140~linuxmint1) unstable; urgency=medium

  * 116.0.5845.140

 -- Linux Mint <root@linuxmint.com>  Tue, 29 Aug 2023 18:43:05 +0100

chromium (116.0.5845.110~linuxmint1) unstable; urgency=medium

  * 116.0.5845.110

 -- Linux Mint <root@linuxmint.com>  Tue, 22 Aug 2023 23:13:06 +0100

chromium (116.0.5845.96~linuxmint1) unstable; urgency=medium

  * 116.0.5845.96

 -- Linux Mint <root@linuxmint.com>  Tue, 15 Aug 2023 17:29:06 +0100
