## chromium 116.0.5845.180

=== debian/changelog ===
chromium (116.0.5845.180-1~deb11u1) bullseye-security; urgency=high

  [ Andres Salomon]
  * New upstream security release.
    - CVE-2023-4761: Out of bounds memory access in FedCM. Reported by DarkNavy.
    - CVE-2023-4762: Type Confusion in V8. Reported by Rong Jian of VRI.
    - CVE-2023-4763: Use after free in Networks. Reported by anonymous.
    - CVE-2023-4764: Incorrect security UI in BFCache.
      Reported by Irvan Kurniawan (sourc7).

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - 0001-Add-PPC64-support-for-boringssl.patch: Fix incorrect function call
      parameter types in gmult_func() and ghash_func() implementations

 -- Andres Salomon <dilinger@debian.org>  Tue, 05 Sep 2023 19:10:10 -0400

chromium (116.0.5845.140-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2023-4572: Use after free in MediaStream.
      Reported by fwnfwn(@_fwnfwn).
  * Drop d/chromium.conffiles; it's been a year (and major debian release)
    since started deleting /etc/chromium/policies/recommended/duckduckgo.json
    (closes: #1024981).

 -- Andres Salomon <dilinger@debian.org>  Wed, 30 Aug 2023 04:14:41 -0400

chromium (116.0.5845.110-1~deb11u1) bullseye-security; urgency=high

  [ Timothy Pearson ]
  * New upstream security release.
    - CVE-2023-4430: Use after free in Vulkan.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2023-4429: Use after free in Loader. Reported by Anonymous.
    - CVE-2023-4428: Out of bounds memory access in CSS.
      Reported by Francisco Alonso (@revskills).
    - CVE-2023-4427: Out of bounds memory access in V8.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2023-4431: Out of bounds memory access in Fonts.
      Reported by Microsoft Security Researcher.

  [ Andres Salomon ]
  * d/patches/upstream hvec.patch: add arm* v4l2 build fix.
  * d/rules: FTBFS if we're uploading to -security distribution w/out CVEs.

 -- Timothy Pearson <tpearson@raptorengineering.com>  Wed, 23 Aug 2023 08:58:00 -0500
