=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: Debian Chromium Team <chromium@packages.debian.org>
-Uploaders:
+Uploaders: Michael Gilbert <mgilbert@debian.org>,
+ Riku Voipio <riku.voipio@linaro.org>,
  Andres Salomon <dilinger@debian.org>,
  Timothy Pearson <tpearson@raptorengineering.com>,
 Vcs-Git: https://salsa.debian.org/chromium-team/chromium.git
@@ -13,9 +14,9 @@
 Build-Depends:
  debhelper (>= 11),
  devscripts,
- lld,
- clang,
- clang-format,
+ lld-13,
+ clang-13,
+ clang-format-13,
  rustc,
  python3,
  pkg-config,
@@ -45,13 +46,11 @@
  libglu1-mesa-dev,
  libegl1-mesa-dev,
  libgles2-mesa-dev,
- libopenh264-dev,
  generate-ninja,
  mesa-common-dev,
  rapidjson-dev,
  libva-dev,
  libxt-dev,
- libre2-dev,
  libgbm-dev,
  libpng-dev,
  libxss-dev,
