## chromium 117.0.5938.62~linuxmint1+faye

=== debian/changelog ===
chromium (117.0.5938.62~linuxmint1+faye) unstable; urgency=medium

  * 117.0.5938.62

 -- Linux Mint <root@linuxmint.com>  Tue, 12 Sep 2023 22:08:27 +0100

chromium (116.0.5845.187~linuxmint1) unstable; urgency=medium

  * 116.0.5845.187

 -- Linux Mint <root@linuxmint.com>  Mon, 11 Sep 2023 18:58:06 +0100

chromium (116.0.5845.179~linuxmint1) unstable; urgency=medium

  * 116.0.5845.179

 -- Linux Mint <root@linuxmint.com>  Wed, 06 Sep 2023 15:38:07 +0100
