## chromium 117.0.5938.132~linuxmint1+elsie

=== debian/changelog ===
chromium (117.0.5938.132~linuxmint1+elsie) unstable; urgency=medium

  * 117.0.5938.132

 -- Linux Mint <root@linuxmint.com>  Wed, 27 Sep 2023 22:18:21 +0100

chromium (117.0.5938.92~linuxmint1) unstable; urgency=medium

  * 117.0.5938.92

 -- Linux Mint <root@linuxmint.com>  Thu, 21 Sep 2023 19:36:22 +0100

chromium (117.0.5938.88~linuxmint1) unstable; urgency=medium

  * 117.0.5938.88

 -- Linux Mint <root@linuxmint.com>  Sat, 16 Sep 2023 01:13:06 +0100

chromium (117.0.5938.62~linuxmint1) unstable; urgency=medium

  * 117.0.5938.62

 -- Linux Mint <root@linuxmint.com>  Tue, 12 Sep 2023 22:08:27 +0100
