## chromium 117.0.5938.132~linuxmint1+victoria

=== debian/changelog ===
chromium (117.0.5938.132~linuxmint1+victoria) unstable; urgency=medium

  * 117.0.5938.132

 -- Linux Mint <root@linuxmint.com>  Wed, 27 Sep 2023 22:18:21 +0100
