=== debian/control ===
--- 
+++ 
@@ -32,7 +32,6 @@
  wdiff,
  gperf,
  bison,
- brotli,
  nodejs,
  rollup,
  valgrind,
@@ -74,7 +73,6 @@
  liblcms2-dev,
  libpulse-dev,
  libpam0g-dev,
- libbrotli-dev,
  libdouble-conversion-dev,
  libxnvctrl-dev,
  libwoff-dev,
