## chromium 117.0.5938.149~linuxmint1+elsie

=== debian/changelog ===
chromium (117.0.5938.149~linuxmint1+elsie) unstable; urgency=medium

  * 117.0.5938.149

 -- Linux Mint <root@linuxmint.com>  Wed, 04 Oct 2023 22:47:22 +0100

chromium (117.0.5938.132~linuxmint1) unstable; urgency=medium

  * 117.0.5938.132

 -- Linux Mint <root@linuxmint.com>  Wed, 27 Sep 2023 22:18:21 +0100
